cURL
curl --request GET \
--url https://api.maesn.dev/accounting/projects \
--header 'X-ACCOUNT-KEY: <x-account-key>' \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://api.maesn.dev/accounting/projects"
headers = {
"X-API-KEY": "<x-api-key>",
"X-ACCOUNT-KEY": "<x-account-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-KEY': '<x-api-key>', 'X-ACCOUNT-KEY': '<x-account-key>'}
};
fetch('https://api.maesn.dev/accounting/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
}
},
"data": [
{
"id": "c1f85763-5be6-ee11-a201-6045bde98d28",
"code": "9012",
"createdDate": "2021-01-01T00:00:00Z",
"contactId": "eaa28f49-6028-4b6e-bb12-d8f6278073fc",
"currency": "EUR",
"description": "Service and Maintenance Project",
"endDate": "2021-01-01T00:00:00Z",
"name": "Service und Unterhalt",
"parentProjectId": "e587bs49-5be6-ee11-a201-6045bde98d28",
"status": "ACTIVE",
"startDate": "2021-01-01T00:00:00Z",
"updatedDate": "2021-01-01T00:00:00Z"
}
]
}Projects
Get projects
GET
/
accounting
/
projects
cURL
Field support per integration

abacus
abacus
Please ensure the query parameter
environmentName is accurately populated with the appropriate environment.
You can obtain this value by using the GET Environments endpoint available under the Authentication section.enum
Available options:
5, 10, 20, 50, 100number
boolean
string
string
enum
Available options (3-letter ISO 4217):
AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYR, BZD, CAD, CDF, CHF, CLP, CNY, COP, CRC, CUC, CVE, CZK, DJF, DKK, DOP, DZD, EEK, EGP, ERN, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GQE, GTQ, GYD, HKD, HNL, HRK, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LTL, LVL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRO, MUR, MVR, MWK, MXN, MYR, MZM, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, SAR, SBD, SCR, SDG, SEK, SGD, SHP, SLL, SOS, SRD, SYP, SZL, THB, TJS, TMT, TND, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VEB, VND, VUV, WST, XAF, XCD, XDR, XOF, XPF, YER, ZAR, ZMK, ZWRstring

Exact Online
Exact Online
If you’re not using the Interactive Authentication Flow, make sure the query parameter
companyId is correctly populated.
You can obtain this value by using the GET Companies endpoint available under the Authentication section.To retrieve projects from Exact Online, your account must have one of the following package subscriptions enabled:
- Manufacturing (any tier)
- Professional Services (Plus, Professional, or Premium)
- Wholesale & Distribution (any tier)
enum
Available options:
5, 10, 20, 50, 100number
boolean
string
string
string
string
string
string
string

Twinfield
Twinfield
If you’re not using the Interactive Authentication Flow, make sure the query parameter
companyId is correctly populated.
You can obtain this value by using the GET Companies endpoint available under the Authentication section.enum
Available options:
5, 10, 20, 50, 100number
boolean
string
string
string
Query Parameters
Available options:
5, 10, 20, 50, 100 Last modified on July 10, 2026
Was this page helpful?